Subject: [Pce] RtgDir review: draft-ietf-pce-lsp-setup-type-07

From: Daniele Ceccarelli <[email-masked]>
Date: Wed, 10 Jan 2018 10:40:42 +0000

Hello,

I have been selected as the Routing Directorate reviewer for this draft. The Routing Directorate seeks to review all routing or routing-related drafts as they pass through IETF last call and IESG review, and sometimes on special request. The purpose of the review is to provide assistance to the Routing ADs. For more information about the Routing Directorate, please see ​http://trac.tools.ietf.org/area/rtg/trac/wiki/RtgDir

Although these comments are primarily for the use of the Routing ADs, it would be helpful if you could consider them along with any other IETF Last Call comments that you receive, and strive to resolve them through discussion or by updating the draft.

Document: draft-ietf-pce-lsp-setup-type-07

Reviewer: Daniele Ceccarelli

Review Date: 2018-01-10

IETF LC End Date: date-if-known

Intended Status: Standards Track

Summary:

I have some minor concerns about this document that I think should be resolved before publication.

Comments:

The draft is a bit confusing on some aspects. I had to read it again a couple of times to understand that 2 TLVs are defined (probably my fault). If you could make it clearer in the intro that 2 TLVs are defined each of which with a precise scope, that would make things easier.

Also the list of the PSTs is a bit confusing. Since each PST is a byte field why don’t you adopt and encoding like the one used in RFC7138 section 4.1.1. for the muxing stages? You could encode the PST values like the Stage#1…Stage# below.

   0                   1                   2                   3
    0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1
   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
   |        Type = 1 (Unres-fix)   |             Length            |
   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
   |  Signal Type  | Num of stages |T|S| TSG | Res |    Priority   |
   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
   |    Stage#1    |      ...      |   Stage#N     |    Padding    |
   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
   |  Unreserved ODUj at Prio 0    |             .....             |
   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
   |  Unreserved ODUj at Prio 7    |     Unreserved Padding        |
   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+

                   Figure 3: Bandwidth Sub-TLV -- Type 1

Major Issues:

No major issues found.

Minor Issues:

  *   Section 3: definition of the Length field is missing. Further reading the document I found it later in section 3. Ordering the definitions of the fields accordingly with the order they appear in the TLV improves the readability.
  *   Section 3: why is the PST length needed? Why is not enough to use the Length field of the PSTCapability TLV?
  *   Section 3: “This document defines the following PST value:

          o  PST = 0: Path is setup using the RSVP-TE signaling protocol.” …please see general comment above.

Nits:

  *   Abstract: I’d suggest substituting “Traffic Engineering paths (TE paths)” with Traffic Engineering (TE) paths.
  *   Requirement language: usually this section is a subsection in the body of the draft, not in the abstract. It could be put as 1.1?
  *   Section1: “by sending the ERO and characteristics of the LSP”…shouldn’t a “THE” be used between “and” and “characteristics”?

Thanks

Daniele

---

From: Jonathan Hardwick <[email-masked]>
Date: Mon, 15 Jan 2018 14:42:36 +0000

Hi Daniele

Many thanks for the review.  Please see my replies below in <Jon> … </Jon>.

Best regards
Jon

From: Daniele Ceccarelli [mailto:[email-masked]]
Sent: 10 January 2018 10:41
To: <[email-masked]> ([email-masked]) <[email-masked]>
Cc: [email-masked]; [email-masked]; [email-masked]
Subject: RtgDir review: draft-ietf-pce-lsp-setup-type-07

Hello,

Review Date: 2018-01-10

Summary:

Comments:

<Jon> How about I add the following in between the second and third paragraphs of the introduction?

NEW
   So far, PCEP and its extensions have assumed that the TE paths are
   label switched and are established via the RSVP-TE protocol.
   However, other methods of LSP setup are possible in the PCE
   architecture (see [RFC4655] and [RFC4657]).  This document generalizes
   PCEP to allow other LSP setup methods to be used.  It defines two new
   TLVs, as follows.
  -  The PATH-SETUP-TYPE-CAPABILITY TLV, which allows a PCEP speaker to
      announce which LSP setup methods it supports.
  -  The PATH-SETUP-TYPE TLV, which allows a PCEP speaker to specify
      which setup method should be used for a given LSP.

END NEW

I’ll then tweak the remaining paragraphs in the introduction to fit in with this preamble.  Does that sound OK?

</Jon>

   0                   1                   2                   3

<Jon> The PST encoding is like the example you quoted i.e. a list of bytes padded with zeros plus a field saying how many PSTs are in the list.  If I re-draw the diagram like this, does it look better to you?

       0                   1                   2                   3
       0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1
      +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
      |           Type (TBD1)         |             Length            |
      +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
      |                           Reserved            |  Num of PSTs  |
      +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
      |     PST#1     |      ...      |     PST#N     |    Padding    |
      +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
      |                                                               |
      //               Optional sub-TLVs (variable)                  //
      |                                                               |
      +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+

                 Figure 1: PATH-SETUP-TYPE-CAPABILITY TLV

</Jon>

Major Issues:

No major issues found.

Minor Issues:

<Jon OK/>

  *   Section 3: why is the PST length needed? Why is not enough to use the Length field of the PSTCapability TLV?
<Jon> Without PST length you don’t know how many padding bytes there are – padding bytes would then be confused with the node advertising support of PST zero, which it might not support </Jon>

<Jon> I will merge this with the description of the “List of PSTs” field. </Jon>

Nits:

<Jon OK/>

<Jon OK/>

<Jon OK/>

Thanks

Daniele

---

From: Daniele Ceccarelli <[email-masked]>
Date: Tue, 16 Jan 2018 15:26:41 +0000

Hi Jon,

thanks for considering my feedbacks. It’s pointless to reply inline as it would be an OK to all you changes, let’s bundle it here 😊

Thanks,
Daniele

From: Jonathan Hardwick [mailto:[email-masked]]
Sent: lunedì 15 gennaio 2018 15:43
To: Daniele Ceccarelli <[email-masked]>; <[email-masked]> ([email-masked]) <[email-masked]>
Cc: [email-masked]; [email-masked]; [email-masked]
Subject: RE: RtgDir review: draft-ietf-pce-lsp-setup-type-07

Hi Daniele

Best regards
Jon

From: Daniele Ceccarelli [mailto:[email-masked]]
Sent: 10 January 2018 10:41
To: <[email-masked]<mailto:[email-masked]>> ([email-masked]<mailto:[email-masked]>) <[email-masked]<mailto:[email-masked]>>
Cc: [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Subject: RtgDir review: draft-ietf-pce-lsp-setup-type-07

Hello,

Review Date: 2018-01-10

Summary:

Comments:

NEW

END NEW

</Jon>

   0                   1                   2                   3

       0                   1                   2                   3

</Jon>

Major Issues:

No major issues found.

Minor Issues:

Nits:

<Jon OK/>

Thanks

Daniele